Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class IfsXMLFormatter

    java.lang.Object
      java.util.logging.Formatter
          java.util.logging.XMLFormatter
              oracle.ifs.common.logging.IfsXMLFormatter

    public class IfsXMLFormatter

extends java.util.logging.XMLFormatter

Format log output as xml.

(Unpublished)

Constructor Summary
`IfsXMLFormatter()`

Method Summary
`protected void` | `addCallerInfo(java.util.logging.LogRecord logRecord, java.lang.StringBuffer sb)` Add info about the object that issued the log request.
`java.lang.String` | `format(java.util.logging.LogRecord logRecord)` Format the log record for publishing.

Methods inherited from class java.util.logging.XMLFormatter
`getHead, getTail`

Methods inherited from class java.util.logging.Formatter
`formatMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfsXMLFormatter

    public IfsXMLFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord logRecord)

  Description copied from class: `IfsXMLFormatter`
  Format the log record for publishing.

  Overrides:
    `format` in class `java.util.logging.XMLFormatter`
  Parameters:
    `logRecord` - the log record to be formatted.
  Returns:
    a String containing the formatted log record.
  (Unpublished)

### addCallerInfo

    protected void addCallerInfo(java.util.logging.LogRecord logRecord,
                                 java.lang.StringBuffer sb)

  Description copied from class: `IfsXMLFormatter`
  Add info about the object that issued the log request.

  Parameters:
    `logRecord` - a LogRecord for the log request
    `sb` - a String Buffer that holds the formatted output.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD